From 27d8b3513d3f44ba386fb43d73e0124c1dcf7de0 Mon Sep 17 00:00:00 2001
From: Anna Petrasova <kratochanna@gmail.com>
Date: Tue, 8 Aug 2023 15:34:06 -0400
Subject: [PATCH] wxGUI/preferences: fix saving display dimensions

---
 gui/wxpython/gui_core/mapdisp.py     | 2 +-
 gui/wxpython/gui_core/preferences.py | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/gui/wxpython/gui_core/mapdisp.py b/gui/wxpython/gui_core/mapdisp.py
index e40378ba9d..31f6fd8cd9 100644
--- a/gui/wxpython/gui_core/mapdisp.py
+++ b/gui/wxpython/gui_core/mapdisp.py
@@ -833,7 +833,7 @@ def IsFullScreen(self):
         return self.GetParent().IsFullScreen()
 
     def IsIconized(self):
-        self.GetParent().IsIconized()
+        return self.GetParent().IsIconized()
 
     def Maximize(self):
         self.GetParent().Maximize()
diff --git a/gui/wxpython/gui_core/preferences.py b/gui/wxpython/gui_core/preferences.py
index 2fbc1aefa0..fb387cc62c 100644
--- a/gui/wxpython/gui_core/preferences.py
+++ b/gui/wxpython/gui_core/preferences.py
@@ -1850,10 +1850,9 @@ def _updateSettings(self):
             for mapdisp in self._giface.GetAllMapDisplays():
                 pos = mapdisp.GetPosition()
                 size = mapdisp.GetSize()
-
                 # window size must be larger than zero, not minimized
                 # do not save dim when mapdisp is docked within single window
-                if (not mapdisp.IsDockable() or not mapdisp.IsDocked()) and (
+                if (hasattr(mapdisp, "IsIconized") and not mapdisp.IsIconized()) and (
                     size[0] > 0 and size[1] > 0
                 ):
                     dim += f",{pos[0]},{pos[1]},{size[0]},{size[1]}"
